summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 17:37:43 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 17:37:43 +0000
commit32d0011be42ca05099175cd82210e02a56ef2a54 (patch)
tree5c0afe509e617e7ca4703bd895afc8b1fb342632 /debian/tests
parentAdding upstream version 2023.03.04. (diff)
downloadyt-dlp-32d0011be42ca05099175cd82210e02a56ef2a54.tar.xz
yt-dlp-32d0011be42ca05099175cd82210e02a56ef2a54.zip
Adding debian version 2023.03.04-1.debian/2023.03.04-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control5
-rwxr-xr-xdebian/tests/upstream-tests.sh16
2 files changed, 21 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..cd70b0a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,5 @@
+Tests: upstream-tests.sh
+Depends:
+ @,
+ @builddeps@,
+ python3-all,
diff --git a/debian/tests/upstream-tests.sh b/debian/tests/upstream-tests.sh
new file mode 100755
index 0000000..b496061
--- /dev/null
+++ b/debian/tests/upstream-tests.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+set -u
+
+export LC_ALL=C.UTF-8
+
+cp -rv devscripts "$AUTOPKGTEST_TMP"
+cp -rv test "$AUTOPKGTEST_TMP"
+cp -rv yt_dlp "$AUTOPKGTEST_TMP"
+
+cd "$AUTOPKGTEST_TMP"
+
+for python in $(py3versions --supported);do
+ printf "###\\n### Now testing %s\\n###\\n" "$python"
+ "$python" -m pytest -k "not download"
+done